[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: ext3 0.9.12 for 2.4.10-ac11



Hi,

On Thu, Oct 11, 2001 at 04:12:34AM -0700, David Hollister wrote:

> I don't know if I'm just asking for disaster, but I just set my fstypes in fstab 
> from auto back to ext2 and am running 2.4.11.  I figured I could just wait for 
> the patch.  Then again, I could have just kept running 2.4.10 w/ ext3.  I never 
> had any problems with it.  I must just like dangling over the precipice.

>From Linus:

> 2.4.11 had a fix for a symlink DoS attack, but sadly that fix broke the
> creation of files through a dangling symlink rather badly (it caused the
> inode to be created in the very same inode as the symlink, with unhappy
> end results).

So unfortunately you can easily corrupt a filesystem with 2.4.11, even
with ext2, but you have to be doing just the right (or wrong!) sort of
operation for it to happen.

Cheers, 
 Stephen





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]